﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public partial class Category
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime CreatedOn { get; set; }

        [DataType(DataType.DateTime)]
        public DateTime LastUpdateTime { get; set; }

        public bool Published { get; set; }
        public bool Deleted { get; set; }
        public bool ShowOnHomePage { get; set; }

        public int PictureID { get; set; }
        public virtual Picture Picture { get; set; }

        public int ParentCategoryID { get; set; }

        public IEnumerable<CategoryAttribute> CategoryAttributes { get; set; }

        public IEnumerable<Discount> Discounts { get; set; }
    }
}