﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace FoxCommerce.MVC.Domain.Entities
{
    public class ProductAttribute
    {
        [Required, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }
        public string Name { get; set; }
        public string Value { get; set; }

        [DataType(DataType.MultilineText)]
        public string Description { get; set; }

        public int AttributeControlTypeID { get; set; }//Core.Enums.AttributeControlType
        public bool IsRequired { get; set; }
        public string TextPrompt { get; set; }

        public int ProductID { get; set; }
        [ForeignKey("ProductID")]
        public virtual Product Product { get; set; }
    }
}