﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Linq.Expressions;

namespace FoxCommerce.MVC.Service.Base
{
    public interface IServiceBase<TEntityType> where TEntityType : class ,new()
    {
        IEnumerable<TEntityType> GetMany(Func<TEntityType, bool> where);
        IQueryable<TEntityType> AllIncluding(params Expression<Func<TEntityType, object>>[] includeProperties);

        TEntityType Find(int id);
        TEntityType Get(Func<TEntityType, Boolean> where);

        void Insert(TEntityType entity);
        void Update(TEntityType entity);
        void Delete(int id);
        void Delete(TEntityType entity);
        void Save();

        IEnumerable<TEntityType> All { get; }
    }
}
